# QFontComboBox Class Reference

### [com.trolltech.qt.gui package]

Inherits QComboBox.

### Constructor

- void QFontComboBox(QWidget parent)

### Constructor Properties

- prototype: The QFontComboBox prototype object
- AllFonts = 0
- ScalableFonts = 0x1
- NonScalableFonts = 0x2
- MonospacedFonts = 0x4
- ProportionalFonts = 0x8
- FontFilter( value )
- FontFilters( value1, value2, ... )

### Instance Properties

QFontComboBox objects inherit properties from the QFontComboBox prototype object and also have the following properties.

- writingSystem
- fontFilters
- currentFont